set(MODULE_NAME web)

list(APPEND web_LIB_INCLUDES 
    markdown/MarkdownParser.cpp
    markdown/MarkdownConverter.cpp
    markdown/MarkdownDocument.h
    markdown/MarkdownDocument.cpp
    markdown/MarkdownComponents.h
    markdown/MarkdownComponents.cpp
    markdown/MarkdownElement.h
    markdown/MarkdownElement.cpp
    html/HtmlWriter.cpp
    html/HtmlDocument.cpp
    html/HtmlElement.cpp
    html/elements/HtmlHeadElement.cpp
    html/elements/HtmlBodyElement.cpp
    html/elements/HtmlParagraphElement.cpp
)

# add the executable
add_library(${MODULE_NAME} SHARED ${web_LIB_INCLUDES})

target_include_directories(web PUBLIC
                          ${CMAKE_CURRENT_SOURCE_DIR}
                          ${CMAKE_CURRENT_SOURCE_DIR}/html
                          ${CMAKE_CURRENT_SOURCE_DIR}/html/elements
                          ${CMAKE_CURRENT_SOURCE_DIR}/markdown
                          )
set_property(TARGET ${MODULE_NAME} PROPERTY FOLDER src)
target_link_libraries(${MODULE_NAME} PUBLIC core compiler)
set_target_properties( ${MODULE_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 